Package: org.grails.async.transform.internal

## [Java] Class DelegateAsyncTransformation

- org.grails.async.transform.internal.DelegateAsyncTransformation

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class DelegateAsyncTransformation
      extends java.lang.Object

  Implementation of DelegateAsync transformation

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `GROOVY_OBJECT_CLASS_NODE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected DelegateAsyncTransactionalMethodTransformer` | `lookupAsyncTransactionalMethodTransformer()`
    `void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode GROOVY_OBJECT_CLASS_NODE

  - ### Method Detail

    - #### protected DelegateAsyncTransactionalMethodTransformer lookupAsyncTransactionalMethodTransformer()

    - #### public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)